curl --request GET \
--url https://app.sandbox.rio.trade/api/orders/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/orders/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fees": {
"processingFeeFiat": 0,
"transferFeeFiat": 0.17584797034499297,
"platformFeeFiat": 20
},
"destinationOfFunds": {
"blockchainAddress": "TS9kqAVq4PR7xNoQDJXSP6Kgz8GFbwUbzi",
"blockchainMemo": "1234567890",
"accountHolderName": "John Doe",
"accountNumber": "1234567890",
"CCI": "00111233001112345678",
"CLABE": "014027000000000008"
},
"quoteId": "6660be85d6c964829d63fd05",
"userId": "65a99abb6a92bda6e52bf7af",
"status": "awaitingTimeInForceToStart",
"crypto": "USDC",
"side": "buy",
"fiat": "USD",
"createdAt": "2024-06-05T19:38:20.264Z",
"country": "MX",
"amountFiat": 1000,
"amountCrypto": 55.54,
"marketPrice": 0.0568673040717,
"netPrice": 0.05554,
"notes": "Description Pt.1",
"payoutBankAccountId": "660c10c6eb4fbb235708b8e8",
"expiredQuotes": [],
"cryptoAddress": "0xAf56edF88c429F1D6858f9E47731FF53F6d34D0C",
"id": "67811d310936d148349f5676",
"payoutAddressId": "673b5cf6302b8444c78dd3d3",
"attributes": [
"fixedPrice"
],
"payoutTransferLimit": 475000,
"paymentsReceived": [
{
"amount": 100000,
"accountHolderName": "John Doe",
"accountNumber": "<string>",
"CCI": "<string>",
"CLABE": "<string>",
"receivedAt": "2025-01-10T13:14:42.855Z",
"blockchainAddress": "<string>",
"blockchainTxId": "<string>"
}
],
"payoutsSent": [
{
"amount": 4748.36,
"blockchainTxId": "0x66ECBd38905CC32249ddd6f4f0B4A3DdDDCbd608",
"sentAt": "2025-01-10T13:14:48.240Z",
"SPEITrackingNumber": "<string>",
"CEPLink": "<string>",
"reference": "<string>"
}
],
"paymentInstructions": {
"dueDate": "2024-06-04T15:02:13.097Z",
"bankName": "Bank Name",
"companyName": "Company Name",
"companyAddress": "Company Address",
"bankAddress": "Sandbox Bank Address, 12345, Sandbox City, Sandbox Country",
"accountNumber": "<string>",
"reference": "9f5676",
"CLABE": "01212345678901",
"RUC": "<string>",
"RFC": "RBL123456789",
"CCI": "00111233001112345678",
"blockchainAddress": "0xAf56edF88c429F1D6858f9E47731FF53F6d34D0C",
"blockchainMemo": "1234567890"
},
"paymentReceivedAt": "2025-01-10T13:14:42.855Z",
"invoice": {
"PDFLink": "<string>",
"XMLLink": "<string>"
},
"informationalFees": {
"serviceFeeFiat": 0,
"serviceFeeFiatTax": 0
},
"twoWaySettlementType": "default",
"twoWaySettlementDateOffset": 1,
"twoWaySettlementDate": "2024-06-04T15:02:13.097Z",
"effectiveTwoWaySettlementDateOffset": 1,
"type": "market",
"limitNetPrice": 18.75,
"timeInForceStartsAt": "2024-06-04T15:02:13.097Z",
"timeInForceEndsAt": "2024-06-04T15:02:13.097Z",
"parentOrderId": "6660beaccc4633bc6412318a"
}{
"errors": [
{
"code": 19,
"message": "Not authorized"
}
]
}Get order
Requirements to consume the endpoint.
User approved
Authorizations
Path Parameters
Id of the order to be obtained.
Response
OK
Object containing detailed information about various fees
Show child attributes
Show child attributes
Details about the destination of funds
Show child attributes
Show child attributes
The unique identifier of the quote
"6660be85d6c964829d63fd05"
The unique identifier of the user
"65a99abb6a92bda6e52bf7af"
The current status of the order. These are the statuses an order moves through on a normal flow, and which ones it sees depends on whether it is a buy or a sell and on whether payment is deferred. Other statuses can appear depending on the circumstances of the order.
awaitingTimeInForceToStart, awaitingLimitPriceCondition, timeInForceEnded, created, addressCheckPassed, awaitingPayment, processing, paid, incorrectAmountPaid, sourcingLiquidity, liquiditySourced, filled, complete, depositAddressCreated, awaitingBankPayoutDetails, bankPayoutDetailsAdded, depositConfirmed, awaitingPayout, bankPaymentDetailsAdded, awaitingAsyncPayment, awaitingAsyncPayout, cancelled, expired The type of cryptocurrency involved in the order
USDC, USDC_POLYGON_NXTB, SOL_USDC_PTHX, XLM_USDC_5F3T, USDC_BASECHAIN_ETH_5I5C, USDCE_TEMPO_MXYR, USDT_POLYGON, USDT_ERC20, TRX_USDT_S2UZ, USDT_BSC, SOL_USDT_EWAY, EUROC_ETH_F5NG, EURC_SOL, EURC_B609K9QB_Y213 The side of the order
buy, sell The type of fiat currency used
USD, MXN, PEN, COP The date and time the order was created
"2024-06-05T19:38:20.264Z"
The country of the user
MX, PE, CO The amount in fiat currency
1000
The amount in cryptocurrency
55.54
The price of the cryptocurrency
0.0568673040717
The net price of the cryptocurrency
0.05554
Any additional notes
"Description Pt.1"
The unique identifier of the bank account to which the payout will be sent
"660c10c6eb4fbb235708b8e8"
List of expired quotes
[]
The address of the cryptocurrency
"0xAf56edF88c429F1D6858f9E47731FF53F6d34D0C"
The ID of the order
"67811d310936d148349f5676"
The unique identifier of the payout address
"673b5cf6302b8444c78dd3d3"
List of attributes associated with the order
["fixedPrice"]
The limit for payout transfer
475000
Information of any payments that were received by Rio for the order
Show child attributes
Show child attributes
Information of any payouts that were made by Rio for the order
Show child attributes
Show child attributes
Account information for the bank to which funds will be sent to in a buy order or the blockchain address the funds will be sent to in a sell order
Show child attributes
Show child attributes
The date and time the payment was received
"2025-01-10T13:14:42.855Z"
order invoice details, only applies to Mexican orders.
Show child attributes
Show child attributes
Informational fees for the order (does not affect quote)
Show child attributes
Show child attributes
The type of settlement for the order. default means that the order is settles regularly (usually this means upon receipt of the payment), while TPlusOffset means that the order is settled after a certain number of business days.
default, TPlusOffset The number of business days until the order is settled. This is only applicable for if the twoWaySettlementType is TPlusOffset.
1
The date on which the order is settled.
"2024-06-04T15:02:13.097Z"
The number of billable days until the order is settled. This is only applicable for if the twoWaySettlementType is TPlusOffset.
1
The type of order. market means that the order is executed at the current market price, while limit means that the order is executed at a specified limit net price.
market, limit The net price of the order. This is only applicable for if the order type is limit.
18.75
The date and time from which the order is scheduled to be executed (optional).
"2024-06-04T15:02:13.097Z"
The date and time until which the order is scheduled to be executed (optional).
"2024-06-04T15:02:13.097Z"
The ID of the parent order. This is only applicable for if the order was spawned from a partial fill.
"6660beaccc4633bc6412318a"